> For the complete documentation index, see [llms.txt](https://tutorial.neoline.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://tutorial.neoline.io/reference/neo3-provider-api-legacy/common-events/block_height_changed.md).

# BLOCK\_HEIGHT\_CHANGED

On a BLOCK\_HEIGHT\_CHANGED event, the block has advanced to the next.

<table><thead><tr><th width="314">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>chainId: number</code></td><td>ChainId is the type of wallet selection network</td></tr><tr><td><code>blockHeight: number</code></td><td>Height of the new block</td></tr><tr><td><code>blockTime: number</code></td><td>Timestamp of the new block</td></tr><tr><td><code>blockHash: string</code></td><td>Hash of the new block</td></tr><tr><td><code>tx: string[]</code></td><td>List of transaction ids executed in the new block</td></tr></tbody></table>

## Example

```js
neoline.addEventListener(neoline.EVENT.BLOCK_HEIGHT_CHANGED, (result) => {
    console.log('block height:', result);
});
/* Another */
window.addEventListener('NEOLine.NEO.EVENT.BLOCK_HEIGHT_CHANGED', (result) => {
    console.log('block height:', result.detail);
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://tutorial.neoline.io/reference/neo3-provider-api-legacy/common-events/block_height_changed.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
